#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
const child_process_1 = require("child_process");
const util_1 = require("util");
const main = async () => {
    const proxy = new index_1.Groove({});
    const executable = await proxy.getExecutablePath();
    try {
        await (0, util_1.promisify)(child_process_1.exec)(`${executable} install-ca`);
    }
    catch (error) {
        console.log(`Error while installing CA: ${error.stderr}`);
        process.exit();
    }
    console.log("CA Install Success");
};
main();
//# sourceMappingURL=install-ca.js.map