/// <reference types="node" />
import { TapeSession } from './tape';
import { DialerDefinition } from './dialer';
export declare const CacheModeEnum: {
    OFF: number;
    STANDARD: number;
    AGGRESSIVE_GET: number;
    AGGRESSIVE: number;
};
export interface GrooveConfiguration {
    commandTimeout?: number;
    port?: number;
    controlPort?: number;
    authUsername?: string;
    authPassword?: string;
}
export interface EndProxyOptions {
    server: string;
    username?: string;
    password?: string;
}
export declare class Groove {
    process: any;
    executablePath: string | null;
    commandTimeout: number;
    port: number;
    controlPort: number;
    authUsername: string | null;
    authPassword: string | null;
    baseUrlProxy: string;
    baseUrlControl: string;
    certificate: Buffer;
    silenceLogs: boolean;
    launched: boolean;
    constructor(config: GrooveConfiguration);
    launch(): Promise<void>;
    stop(): Promise<void>;
    tapeStart(): Promise<void>;
    tapeGet(tapeID?: string): Promise<TapeSession>;
    tapeLoad(session: TapeSession): Promise<void>;
    tapeStop(): Promise<void>;
    tapeClear(tapeID?: string): Promise<void>;
    setCacheMode(mode: number): Promise<void>;
    cacheClear(): Promise<void>;
    dialerLoad(dialers: DialerDefinition[]): Promise<void>;
    endProxyStop(): Promise<void>;
    getExecutablePath(): Promise<string>;
}
