/// <reference types="node" />
export interface TapeRequest {
    url: string;
    method: string;
    headers: Record<string, string[]>;
    body: Buffer;
}
export interface TapeResponse {
    status: number;
    headers: Record<string, string[]>;
    body: Buffer;
}
export interface TapeRecord {
    request: TapeRequest;
    response: TapeResponse;
}
export declare class TapeSession {
    records: TapeRecord[];
    constructor(records?: TapeRecord[]);
    readFromServer(contents: Buffer): Promise<void>;
    toServer(): Buffer;
}
